Page MenuHomePhabricator

AQS should expect article names uriencoded just once {slug}
Closed, ResolvedPublic

Description

AQS currenlty expects article names uriencoded twice, like:

For
HIV/AIDS

Expects
.../HIV%252FAIDS/... // which is encodeURIComponent(encodeURIComponent("HIV/AIDS"))

Instead of
.../HIV%2FAIDS/... // which is encodeURIComponent("HIV/AIDS")

Event Timeline

mforns created this task.Nov 11 2015, 4:58 PM
mforns updated the task description. (Show Details)
mforns raised the priority of this task from to High.
mforns added a project: Analytics-Backlog.
mforns added subscribers: mforns, Aklapper.
JAllemandou raised the priority of this task from High to Unbreak Now!.Nov 12 2015, 6:14 PM
JAllemandou edited projects, added Analytics-Kanban; removed Analytics-Backlog.
JAllemandou set Security to None.
Nuria added a subscriber: Nuria.

Holler to @gwickie and @mobroac: Does this issue sound familiar?

Gabriel took a look at this and his fix looks good to me: https://github.com/wikimedia/swagger-router/pull/28

mobrovac added a comment.EditedNov 13 2015, 2:05 PM

The patch has been merged and a new version of the package is available. Hence, this should be corrected on the next deploy of the front-end RESTBase instance.

Milimetric moved this task from In Code Review to Ready to Deploy on the Analytics-Kanban board.
Ragesoss closed this task as Resolved.Nov 17 2015, 5:28 PM